Sign up and get started with Confidence today! Create your account
Sign up and get started with Confidence today! Create your account
Infer the schema of the evaluation context for a specific set of clients, that has previously been used to resolve one or more flags.
curl --request POST \
--url https://flags.eu.confidence.dev/v1/clientEvaluationContextSchema:derive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clients": [
"<string>"
],
"mustMatchSchema": {
"schema": [
{}
]
}
}
'{
"clientSchema": [
{
"client": "<string>",
"schema": {
"schema": [
{}
]
}
}
],
"mergedSchema": {
"schema": [
{}
]
},
"capped": true
}Documentation Index
Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The list of clients to infer the schema for. If empty, returns schema for all clients that the caller has permissions to.
Filter the available options by finding only options that can be used in combination with this existing schema.
For instance if field country is selected, only find schemas where country exists.
Show child attributes
OK
The client specific derived schemas.
Show child attributes
The schema created by merging the schema from all clients.
Show child attributes
True if the number of schema entries exceeded the processing limit and the result may be incomplete. Use evaluation context field overrides to manually define missing fields.
Was this page helpful?
curl --request POST \
--url https://flags.eu.confidence.dev/v1/clientEvaluationContextSchema:derive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clients": [
"<string>"
],
"mustMatchSchema": {
"schema": [
{}
]
}
}
'{
"clientSchema": [
{
"client": "<string>",
"schema": {
"schema": [
{}
]
}
}
],
"mergedSchema": {
"schema": [
{}
]
},
"capped": true
}